import request from '@/utils/request'

// 查询汇付-子商户信息列表
export function listMerchant(query) {
  return request({
    url: '/his/merchant/list',
    method: 'get',
    params: query
  })
}

// 查询汇付-子商户信息详细
export function getMerchant(id) {
  return request({
    url: '/his/merchant/' + id,
    method: 'get'
  })
}

// 新增汇付-子商户信息
export function addMerchant(data) {
  return request({
    url: '/his/merchant',
    method: 'post',
    data: data
  })
}

// 修改汇付-子商户信息
export function updateMerchant(data) {
  return request({
    url: '/his/merchant',
    method: 'put',
    data: data
  })
}

// 删除汇付-子商户信息
export function delMerchant(id) {
  return request({
    url: '/his/merchant/' + id,
    method: 'delete'
  })
}

// 导出汇付-子商户信息
export function exportMerchant(query) {
  return request({
    url: '/his/merchant/export',
    method: 'get',
    params: query
  })
}


// 子商户选项列表
export function merchantOptions(query) {
  return request({
    url: '/his/merchant/merchantOptions',
    method: 'get',
  })
}